const path = require( 'path' );
const config = {
  loglevel:"{{consoleloglevel}}",
  linuxuser:"{{linuxuser}}",
  druidid:"{{druidid}}",
  dnsapixtribe:"{{subdomain}}.{{domain}}",
	mainDir: __dirname,
	tmp: path.join( __dirname, '/tmp' ),
	public: path.join( __dirname, 'data/tribe/{{druidid}}/www/cdn' ),
	//(@TODO ASUP mettre /cdn de apixtribe) public allow to serve on /public file into folder /public with or without login
	archivefolder: path.join( __dirname, '/archive' ),
	domain: path.join( __dirname, '/data/tribe' ),
	porthttp:{{porthttp}} ,
	jwtSecret: '{{jwtsecret}}',
	saltRounds: 10,
	languagesAvailable: [ {{#language}}'{{.}}',{{/language}} ],
  exposedHeaders:[ 'xauth', 'xpaganid', 'xlang', 'xtribe', 'xworkon', 'xapp' ],
	bodyparse: {
		urlencoded: {
			limit: '50mb',
			extended: true
		},
		json: { limit: '500mb' }
	}
};
module.exports = config;
